## proftpd-dfsg 1.3.6b

=== debian/changelog ===
proftpd-dfsg (1.3.6b-3) unstable; urgency=medium

  * Cherry pick "upstream_4385" from upstream:
   - for upstream #4385 (Closes: #949622)

 -- Hilmar Preusse <hille42@web.de>  Wed, 22 Jan 2020 23:12:44 +0100

proftpd-dfsg (1.3.6b-2) unstable; urgency=medium

  * Cherry pick patch from upstream:
    - for upstream 861 (CVE-2019-19269) (Closes: #946345)
    - for upstream 859 (CVE-2019-19270) (Closes: #946346)
    upstream_pull_859_861_CVE-2019-19270_CVE-2019-19269

 -- Hilmar Preusse <hille42@web.de>  Sun, 08 Dec 2019 14:03:43 +0100

proftpd-dfsg (1.3.6b-1) unstable; urgency=medium

  * New upstream release:
    - Obsoletes patch issue_846_CVE-2019-18217.diff.
    - Backported fix for building mod_sql_mysql using MySQL 8 (Issue #824).

 -- Hilmar Preusse <hille42@web.de>  Mon, 04 Nov 2019 22:08:07 +0100

proftpd-dfsg (1.3.6a-2) unstable; urgency=high

  * Add patch for upstream bug #846 (CVE-2019-18217).
    (Closes: #942831)

 -- Hilmar Preusse <hille42@web.de>  Tue, 22 Oct 2019 13:30:36 +0200

proftpd-dfsg (1.3.6a-1) unstable; urgency=medium

  * New upstream patch release. Obsoletes patches included in upstream:
    - upstream_4372_CVE-2019-12815.diff
    - upstream_4312, upstream_4312_fix_version
    - upstream_4356
    - upstream_4335
    - upstream_4336 (although not mentioned in upstream changelog)
    - github_pr_710 (although not mentioned in upstream changelog)
    - github_pr_594 (although not mentioned in upstream changelog)
    - upstream_pull_567 = Bug#4314
  * Lintian Override: proftpd-dev: pkg-config-multi-arch-wrong-dir
    (file is generated during build).

 -- Hilmar Preusse <hille42@web.de>  Mon, 14 Oct 2019 10:36:04 +0200

proftpd-dfsg (1.3.6-6) unstable; urgency=medium

  * Document that proftpd read all files from /etc/proftpd/conf.d/
    (Closes: #814772).
  * Add patch upstream_4372_CVE-2019-12815.diff to solve CVE-2019-12815.
    (Closes: #932453)

 -- Hilmar Preusse <hille42@web.de>  Tue, 23 Jul 2019 21:04:28 +0200

proftpd-dfsg (1.3.6-5) unstable; urgency=medium

  [ Francesco Paolo Lovergine ]
  * Set the SE Linux context after creating a directory.
    (Closes: #923033)
  * Get upstream pull_567 (Bug#4314) (Closes: #927270)
  * Bump Standards-Version to 4.4.0.
    - make sure we don't call "strip" w/o using dh_strip.

 -- Hilmar Preusse <hille42@web.de>  Tue, 16 Jul 2019 23:34:25 +0200

proftpd-dfsg (1.3.6-4) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Mark -doc package as "Multi-Arch: foreign"
  * Proftp now builds w/ Mariadb > 10.3 (Closes: #918394)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 Jan 2019 12:07:16 +0100

proftpd-dfsg (1.3.6-3) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Pick github_pr_710 from upstream:
    [PATCH] Issue #674: Update mod_sftp to handle changed APIs in OpenSSL
    (Closes: #911875).
  * [PATCH] Bug#4356: Fix infinite loop by actually iterating properly
            for the next configuration record.
  * Pick github_pr_594 from upstream:
    [PATCH] Issue #593: If the IgnoreExtendedAttributes FSOption is used,
    then do not include the EXTENDED attribute flag in the SFTP ATTRS
    responses (Closes: #913824).

  * Run configure w/ --disable-xattr only on kfreebsd to fix FTBFS.
    (Closes: #897168)
  * Do create /run/proftpd also in postinst, if not exists yet.
    (Closes: #608881)
  * New Proftp module package: proftpd-mod-snmp.
  * Add "Enhances: proftpd-basic" to all modules built by this package.
  * d/rules: remove clean code, which is covered by upstreams Makefile.
  * Lintian:
    W: maintainer-script-should-not-parse-etc-passwd-or-group
    E: wrong-path-for-interpreter

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 4.2.1. No changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 21 Nov 2018 14:30:08 +0100

proftpd-dfsg (1.3.6-2) unstable; urgency=medium

  [ Hilmar Preuße ]
  * lintian: file-contains-trailing-whitespace: debian/changelog

  [ Francesco Paolo Lovergine ]
  * Updated Vcs-* fields to reflect moving to salsa from alioth.
  * Updated maintenance team list for migration from alioth. 
  * Policy bumped to 4.1.4, no changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 29 Apr 2018 11:00:03 +0200
