=== debian/changelog ===
proftpd-dfsg (1.3.6c-2) unstable; urgency=medium

  * Add patch from upstream as follow up for CVE-2020-9273
    cd9036f4ef7a05c107f0ffcb19a018b20267c531.patch
    (Closes: #952557).

 -- Hilmar Preusse <hille42@web.de>  Thu, 27 Feb 2020 20:34:56 +0100

proftpd-dfsg (1.3.6c-1) unstable; urgency=medium

  * New upstream version.
    Contains support for OpenSSH-specific private key format
    (Closes: #932373).
  * A few patches are obsolete (included upstream):
    - quotatab_modules (was not installed anyway)
    - upstream_pull_859_861_CVE-2019-19270_CVE-2019-19269
    - upstream_4385
  * Patches refreshed.

 -- Hilmar Preusse <hille42@web.de>  Thu, 20 Feb 2020 13:52:22 +0100
