=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.6b
+Provides: ftp-server, proftpd, proftpd-abi-1.3.6c
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
