## proftpd-dfsg 1.3.7a

=== debian/changelog ===
proftpd-dfsg (1.3.7a-1) unstable; urgency=medium

  New upstream release 1.3.7a:
  * Patches obsoleted
    - applied upstream: reproducible_build, spelling_errors
    - bundled libcap removed: mod_cap
  * Disable/Remove intermediate patches for security issues.

  Debian adaptions:
  * d/clean reduced, clean handed over to upstream.
  * Enable all modules available (and compilable) in 1.3.7a
    (Closes: #965051).
  * Compile and link with libsodium for better crypto support.

  * Install xferstats.holger-preiss the Debian way; using dh-exec.
  * Raise debhelper compat Level to 10.

 -- Hilmar Preusse <hille42@web.de>  Thu, 23 Jul 2020 07:53:17 +0200

proftpd-dfsg (1.3.6c-3) unstable; urgency=medium

  * Remove last(?) debconf cruft:
    - don't call dh_installdebconf in d/rules
    - don't source /usr/share/debconf/confmodule in postinst
  * Remove surplus BD on libattr1-dev (Closes: #953917).

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 1.3.5~rc1-2, 1.3.3a-6, 1.3.3a-
    4, 1.3.3a-2, 1.3.2a-1, 1.3.2-3, 1.3.1-17, 1.3.1-10, 1.3.0-26, 1.2.10-
    23, 1.2.10-9, 1.2.10-3, 1.2.10-2, 1.2.9-12, 1.2.9-8, 1.2.0pre9-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license.

 -- Hilmar Preusse <hille42@web.de>  Mon, 18 May 2020 22:03:58 +0200
