=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Hilmar Preusse <hille42@web.de>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 9.20160114),
+               dh-exec,
                libacl1-dev,
-               libattr1-dev,
                libcap-dev [linux-any],
                libldap2-dev,
                default-libmysqlclient-dev,
@@ -22,7 +22,8 @@
                zlib1g-dev,
                libgeoip-dev,
                libmemcached-dev (>= 0.41),
-               libhiredis-dev
+               libhiredis-dev,
+               libsodium-dev
 Homepage: http://www.proftpd.org/
 Vcs-Browser: https://salsa.debian.org/debian-proftpd-team/proftpd
 Vcs-Git: https://salsa.debian.org/debian-proftpd-team/proftpd.git
@@ -42,7 +43,7 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.6c
+Provides: ftp-server, proftpd, proftpd-abi-1.3.7a
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-mod-ldap,
