=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 # XAttr does not exist on KFreeBSD
-# 
+#
 XATTR_NOT_EXISTS := kfreebsd-amd64 kfreebsd-i386
 ifneq (,$(filter $(DEB_HOST_ARCH), $(XATTR_NOT_EXISTS)))
   BUILDNOTXATTR=--disable-xattr
@@ -45,7 +45,8 @@
 DSOMODS2 = mod_quotatab_sql:mod_ldap:mod_quotatab_ldap:mod_ratio:mod_tls:mod_rewrite:mod_radius:mod_wrap:mod_wrap2:mod_wrap2_file
 DSOMODS3 = mod_wrap2_sql:mod_quotatab_file:mod_quotatab_radius:mod_facl:mod_ctrls_admin:mod_copy:mod_deflate:mod_ifversion
 DSOMODS4 = mod_geoip:mod_exec:mod_sftp:mod_sftp_pam:mod_sftp_sql:mod_shaper:mod_sql_passwd:mod_ifsession:mod_auth_otp:mod_tls_redis
-DSOMODS5 = mod_wrap2_redis:mod_redis:mod_memcache:mod_tls_memcache:mod_readme:mod_snmp
+DSOMODS5 = mod_wrap2_redis:mod_redis:mod_memcache:mod_tls_memcache:mod_readme:mod_snmp:mod_digest:mod_ident
+DSOMODS6 = mod_log_forensic:mod_qos:mod_statcache:mod_tls_fscache:mod_tls_shmcache
 CONF_ARGS := --prefix=/usr \
 	     --with-includes=$(shell pg_config --includedir)$(shell mysql_config --include|sed -e 's/-I/:/g'|sed -e 's/ //') \
 	     --mandir=/usr/share/man --sysconfdir=/etc/$(NAME) --localstatedir=/run --libexecdir=/usr/lib/$(NAME) \
@@ -86,7 +87,7 @@
 	
 	# Use current autotools helpers
 	dh_update_autotools_config
-	dh_auto_configure -- $(CONF_ARGS) --with-shared=$(DSOMODS1):$(DSOMODS2):$(DSOMODS3):$(DSOMODS4):$(DSOMODS5)
+	dh_auto_configure -- $(CONF_ARGS) --with-shared=$(DSOMODS1):$(DSOMODS2):$(DSOMODS3):$(DSOMODS4):$(DSOMODS5):$(DSOMODS6)
 
 	touch $@
 
@@ -131,12 +132,13 @@
 	rm -f debian/$(PACKAGE)/etc/$(NAME)/$(NAME).conf
 
 	# Not sure how to put this into a .files entry.
-	install contrib/xferstats.holger-preiss debian/$(PACKAGE)/usr/sbin/ftpstats
+	# Installed using dh-exec.
+	#install contrib/xferstats.holger-preiss debian/$(PACKAGE)/usr/sbin/ftpstats
 	
 	# TODO: cleanup {pre|post}{install|rm} scripts; remove
 	# --no-scripts statement.
 	dh_installinit -a --name=proftpd --no-scripts
-	dh_installdebconf -a
+	# dh_installdebconf -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
