## proftpd-dfsg 1.3.7a+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.7a+dfsg-12+deb11u5) bullseye-security; urgency=high

  * LTS Team upload
  * Add autopkgtest suite.
  * Fix issue #1171 patch
  * Fix CVE-2024-57392:
    A Buffer Overflow vulnerability in Proftpd allowed a remote
    attacker to execute arbitrary code and can cause a
    Denial of Service (DoS) on the FTP service by sending a
    maliciously crafted message to the ProFTPD service port.
  * Bug Fix: Blastradius fix breakage. Fix the computation of
    the RADIUS Message-Authenticator signature to conform
    more properly to RFC 2869

 -- Bastien Roucariès <rouca@debian.org>  Sun, 02 Mar 2025 11:00:29 +0000

proftpd-dfsg (1.3.7a+dfsg-12+deb11u4) bullseye; urgency=medium

   * Add patch for upstream issue #1171 (Closes: #1090813).
     "Downloading a file contains the contents of another file."

 -- Hilmar Preuße <hille42@debian.org>  Sun, 16 Feb 2025 23:41:13 +0100

proftpd-dfsg (1.3.7a+dfsg-12+deb11u3) bullseye-security; urgency=medium

   * LTS Team upload
   * Fix CVE-2023-48795: Add patch for Terrapin attack.
   * Fix CVE-2023-51713: make_ftp_cmd in main.c in ProFTPD has a one-byte
     out-of-bounds read, and daemon crash, because of mishandling of
     quote/backslash semantics.
   * Fix CVE-2024-48651: Supplemental Group Inheritance Grants
     Unintended Access to GID 0
     (Closes: #1082326)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 25 Nov 2024 21:20:02 +0000

proftpd-dfsg (1.3.7a+dfsg-12+deb11u2) bullseye; urgency=medium

  * Add patch for upstream issue #1149 (Closes: #993784).

 -- Hilmar Preusse <hille42@web.de>  Sat, 18 Sep 2021 23:42:19 +0200

proftpd-dfsg (1.3.7a+dfsg-12+deb11u1) bullseye; urgency=medium

  * Add patch for upstream issue #1284 (Closes: #993173).
  * Cherry pick patch for issue #1111 (Closes: #992920).

 -- Hilmar Preusse <hille42@web.de>  Sat, 18 Sep 2021 23:15:03 +0200

proftpd-dfsg (1.3.7a+dfsg-12) unstable; urgency=medium

  * In d/postrm skip ucf purging if ucf is not available and make piuparts happy. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 15 Jan 2021 15:09:32 +0100

proftpd-dfsg (1.3.7a+dfsg-11) unstable; urgency=medium

  * Missing removing of ucf hashes on purge added to postrm.
  * Removed obsolete target in d/rules.
  * Removed old debconf stuff still around.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 11 Jan 2021 13:23:46 +0100

proftpd-dfsg (1.3.7a+dfsg-10) unstable; urgency=medium

  * Fixed missing s/mod_snmp/snmp/ in postinst.
    (closes: #979214)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 04 Jan 2021 11:35:09 +0100

proftpd-dfsg (1.3.7a+dfsg-9) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add file exclude for uscan.

  [ Francesco Paolo Lovergine ]
  * Moved to dh-compat 13.
  * Added a not-installed file for stuff not installed in any package.
  * Some contrib/ files are now installed by upstream, so changed a bit
    the d/install file.
  * Now in preinst move past existing logrotate file to the new name.
  * Removed spurious exit in preinst that prevented run of dh section.
  * Renamed mod_snmp.conf => snmp.conf for uniformity in naming.
  * Using deb-systemd-invoke instead of systemctl in postinst and
    added a pre-depends on that basis to pre-dep on a recent version
    of init-system-helpers. Thanks lintian!
  * Introduced ${misc:Depends} among p-basic deps to make lintian happy. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 04 Jan 2021 11:23:32 +0100

proftpd-dfsg (1.3.7a+dfsg-8) unstable; urgency=medium

  * More spaces eated in main template by silly automagic replacement fixed.
    This is the last one, promised.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 02 Jan 2021 16:06:30 +0100

proftpd-dfsg (1.3.7a+dfsg-7) unstable; urgency=medium

  * Sigh, too many spaces eated in main template file among commented lines.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 02 Jan 2021 11:13:55 +0100

proftpd-dfsg (1.3.7a+dfsg-6) unstable; urgency=medium

  * In order to avoid breakage at install time in non standalone mode,
    enable-n-start via systemd has been moved to postinst.
  * NEWS file rearranged and updated.
  * Minor fixes to README.Debian doc.
  * Revised NEWS file and templates for styling.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 01 Jan 2021 10:42:05 +0100

proftpd-dfsg (1.3.7a+dfsg-5) unstable; urgency=medium

  * Sigh, removed a spurious line introduced in postinst in the last upload.
    (closes: #977853)
  * Now truly installing socket-related systemd files. Migrated to debhelper
    level 11 to finalize a working combination of dh_installsystemd/dh_installinit.
    That triggered also a few changes to debian/rules, including the dropping 
    dh_auto_configure use.
  * Fixed postinst to add new conf files, if missing. That also caused
    breakage at postinst time :-/

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Dec 2020 12:51:44 +0100

proftpd-dfsg (1.3.7a+dfsg-4) unstable; urgency=medium

  * Added a proftpd-core.docs to include a few secondary, but sometimes useful
    contributed docs from upstream.
  * Now using standard makefile for archs as provided by dpkg-dev.
  * Added a sftp.conf template for optional SFTP support.
  * Missing ucf management of some templates added.
  * Now using debhelper-compat virtual in debian/control.
  * Added support files for running proftpd via systemd socket. The preferred
    way of running proftpd is the standalone mode, but now README.Debian explains
    how inet/xinetd/socket can be used instead.
   (closes: #740177, #657484)
  * Removed trailing spaces at the end of lines in debian/changelog to make
    lintian happy.
  * Fixed oversight old dependency of -mod-mysql on proftpd-basic (thanks lintian).
  * Fixed typo in lintian-overrides (thanks lintian).
  * Moved proftpd-basic to oldlibs, because transitional.
  * Fixed debian/watch file for demangling (thanks lintian).


