## proftpd-dfsg 1.3.7b+dfsg

=== debian/changelog ===
proftpd-dfsg (1.3.7b+dfsg-1) unstable; urgency=medium

  * New upstream release, refresh patches, remove applied patches.
  * d/watch: disregard RC versions, hopefully.
  * d/watch: Add signature check.
  * Add debian/gitlab-ci.yml for CI.

 -- Hilmar Preusse <hille42@web.de>  Thu, 15 Jul 2021 23:33:15 +0200
